> ## Documentation Index
> Fetch the complete documentation index at: https://docs.masivo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tiers

> Get all tiers



## OpenAPI

````yaml GET /tiers
openapi: 3.0.1
info:
  title: Masivo's REST API
  description: Learn how to use Masivo's REST API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.masivo.ai/api/storefront/v1
security:
  - bearerAuth: []
paths:
  /tiers:
    get:
      description: Get all tiers
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Tier'
components:
  schemas:
    Tier:
      type: object
      properties:
        id:
          type: string
          description: The tier internal unique identifier
          format: uuid
        name:
          type: string
          description: The name of the tier
        description:
          type: string
          description: The description of the tier
        status:
          description: The status of the tier
          type: string
          enum:
            - ACTIVE
            - INACTIVE
        level:
          description: The level of the tier
          type: number
          minimum: 1
          maximum: 10
        entry_conditions:
          $ref: '#/components/schemas/AlternativeCondition'
          description: The conditions to enter the tier
        exit_conditions:
          $ref: '#/components/schemas/AlternativeCondition'
          description: The conditions to exit the tier
    AlternativeCondition:
      type: array
      description: OR conditions
      items:
        $ref: '#/components/schemas/CompoundCondition'
    CompoundCondition:
      type: array
      description: AND conditions
      items:
        $ref: '#/components/schemas/Condition'
    Condition:
      type: object
      properties:
        type:
          type: string
          description: The type of the condition
          example: Order Value
        operator:
          type: string
          description: The operator to compare the attribute
          example: grater than
        primitive:
          type: string
          description: The primitive of the value to compare
          enum:
            - string
            - number
            - currency
            - boolean
            - absolute date
            - relative date
            - recurring date
        value:
          oneOf:
            - type: number
              example: 9.95
            - type: string
            - type: boolean
          description: The value to compare
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````